Bug 239202 - "root filesystem not large enough" checked too late
"root filesystem not large enough" checked too late
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
Blocks: Fedora7LiveCD
  Show dependency treegraph
Reported: 2007-05-05 21:29 EDT by Petr Machata
Modified: 2015-05-04 21:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-07 14:47:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Machata 2007-05-05 21:29:56 EDT
Description of problem:
During the installation from live CD, following message is reported:
 """The root filesystem you created is not large enough for this live image."""

That makes sense, as the machine that I'm installing on has very limited
resources, but:
 a) I'd like to know what is "large enough".
 b) I'd like to know that it isn't large enough before there is too late to
change the setting.  By the time this gets reported, it's no longer possible to
get back to the partitioning screen, presumably because I decided to use the
swap immediately (only 180MB of memory on this box).

Version-Release number of selected component (if applicable):
FC7-test4 Live

How reproducible:

Steps to Reproduce:
1. Partition the disk in such a way that not enough space is available on /.
(This was ~900MB in my case.)
2. Have too little memory, so that swap is immediately turned on (maybe this
step isn't necessary).
3. Continue installation process.  The message appears after the root password
Actual results:
As described.

Expected results:
As described.

Additional info:
Comment 1 Jeremy Katz 2007-05-07 14:47:06 EDT
Without large invasive changes to anaconda, this was the only place we could
really slot the check in.  And yes, you only can't go back due to early swap.

Comment 2 Petr Machata 2007-05-07 15:08:48 EDT
Ok.  Any chance of at least mentioning required "large enough" size in the dialog?
Comment 3 Jeremy Katz 2007-05-07 15:16:22 EDT
(In reply to comment #2)
> Ok.  Any chance of at least mentioning required "large enough" size in the dialog?

That would break every translation, which isn't really appropriate.  We've
already been bad enough about late string changes.

Note You need to log in before you can comment on or make changes to this bug.